<?php

include 'load.php';

if(isset($_GET['branch_id'])){
	$branch_id=mysqli_real_escape_string($conn,$_GET['branch_id']);
	$view_qury=mysqli_query($conn,"SELECT * FROM branch WHERE branch_id='$branch_id'");
	$view_result=mysqli_fetch_array($view_qury);
}

else{
	echo "<script>window.location='branchlist.php';</script>";
}


	if(isset($_POST['update'])){

		$branch_id = $_GET['branch_id'];
		$branch_name = $_POST['branch_name'];
		$phonenumbers = $_POST['phonenumbers'];
		$address = $_POST['address'];
		$email = $_POST['email'];
		$imgFile = $_FILES['logo']['name'];
	    $tmp_dir = $_FILES['logo']['tmp_name'];
	    $imgSize = $_FILES['logo']['size'];

    if(!isset($errMSG)){
	   
		
	
			
			
			if ($imgSize > 0) {
				$upload_dir = 'images/quotation/';

				$imgExt = strtolower(pathinfo($imgFile, PATHINFO_EXTENSION)); 
	
			
				$valid_extensions = array('jpeg', 'jpg', 'png'); 


				$userpic = rand(1, 1000000) . "." . $imgExt;

				if (in_array($imgExt, $valid_extensions)) {
				
					if ($imgSize < 100000000) {
						move_uploaded_file($tmp_dir, $upload_dir . $userpic);
					} else {
						$errMSG = "Sorry, your file is too large.";
					}
				}
			}else{
				$userpic = "";
			}
			$imagename = $upload_dir.$userpic;
			
      $stmt = $DB_con->prepare('UPDATE branch
			SET branch_name=:branch_name,
			phonenumbers=:phonenumbers,
			address=:address,
			logo=:logo
			WHERE branch_id=:branch_id');
			$stmt->bindParam(':branch_name',$branch_name);
			$stmt->bindParam(':phonenumbers',$phonenumbers);
			$stmt->bindParam(':address',$address);
			$stmt->bindParam(':email',$email);
			$stmt->bindParam(':logo',$imagename);
			$stmt->bindParam(':branch_id',$branch_id);
			
      if($stmt->execute()){
		  
			$successMSG = "Branch Successfully Updated ...";
				
			header("refresh:2;branchlist.php"); // redirects image view page after 5 seconds.
				
			}else{
				
			$errMSG = "Sorry Data Could Not Updated !";
				
			}
		
    }

}
	
?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
<meta name="description" content="POS - Eat More Resturant   | Pos & Invetory System | Dashboard

">
<meta name="keywords" content="Eat More Resturant   | Pos & Invetory System | Dashboard

">
<meta name="author" content="Eat More Resturant   | Pos & Invetory System | Dashboard

">
<meta name="robots" content="noindex, nofollow">

<title>Edit Branch | Eat More Resturant   | Pos & Invetory System | Dashboard

</title>


<?php
require_once 'headercss.php';
?>
</head>
<body>
<div id="global-loader">
<div class="whirly-loader"> </div>
</div>

<div class="main-wrapper">
<?php
require_once 'header.php';
?>

<?php
require_once 'navbar.php';
?>

<div class="page-wrapper">
<div class="content">
<div class="page-header">
<div class="page-title">
<h4>Edit Branch</h4>
<h6>Edit a Branch</h6>
</div>
</div>

<div class="card">
<div class="card-body">
<form method="POST" enctype="multipart/form-data">
<?php

if(isset($errMSG)){

?>
									
<div class="alert alert-danger border-0 bg-danger alert-dismissible fade show py-2">
<div class="d-flex align-items-center">
<div class="font-35 text-white"><i class="bx bxs-message-square-x"></i>
</div>
<div class="ms-3">
<h6 class="mb-0 text-white">Error Alerts</h6>
<div class="text-white"> <?php echo $errMSG; ?>!</div>
</div>
</div>
<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
									
<?php

}
	
else if(isset($successMSG)){

?>
									
<div class="alert alert-success border-0 bg-success alert-dismissible fade show py-2">
<div class="d-flex align-items-center">
<div class="font-35 text-white"><i class="bx bxs-check-circle"></i>
</div>
<div class="ms-3">
<h6 class="mb-0 text-white">Success Alerts</h6>
<div class="text-white"><?php echo $successMSG; ?>!</div>
</div>
</div>
<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
									
<?php

}

?>
<div class="row">
<div class="col-lg-4 col-sm-4 col-12">
<div class="form-group">
<label>Branch Name</label>
<input type="text" name="branch_name" class="form-control" placeholder="Enter Branch Name" value="<?php echo $view_result['branch_name']; ?>">
</div>
</div>
<div class="col-lg-4 col-sm-4 col-12">
<div class="form-group">
<label>Phone Numbers</label>
<input type="text" name="phonenumbers" class="form-control" placeholder="Enter Phone Numbers" value="<?php echo $view_result['phonenumbers']; ?>">
</div>
</div>
<div class="col-lg-4 col-sm-4 col-12">
<div class="form-group">
<label>Address</label>
<input type="text" name="address" class="form-control" placeholder="Enter Address" value="<?php echo $view_result['address']; ?>">
</div>
</div>
<div class="col-lg-4 col-sm-4 col-12">
<div class="form-group">
<label>Email Address</label>
<input type="text" name="email" class="form-control" placeholder="Enter Email Address" value="<?php echo $view_result['email']; ?>">
</div>
</div>
<div class="col-lg-3 col-sm-3 col-12">
                    <div class="form-group">
                            <label>Logo</label>
                            <input type="file" class="form-control" name="logo">
                            
                        </div>

                </div>
<div class="col-lg-12">
<a href="branchlist.php" class="btn btn-cancel">Cancel</a>
<button type="submit" name="update" class="btn btn-submit me-2">Update</button>
</div>
</div>
</form>
</div>
</div>

</div>
</div>
</div>


<script src="assets/js/jquery-3.6.0.min.js"></script>

<script src="assets/js/feather.min.js"></script>

<script src="assets/js/jquery.slimscroll.min.js"></script>

<script src="assets/js/jquery.dataTables.min.js"></script>
<script src="assets/js/dataTables.bootstrap4.min.js"></script>

<script src="assets/js/bootstrap.bundle.min.js"></script>

<script src="assets/plugins/select2/js/select2.min.js"></script>

<script src="assets/plugins/sweetalert/sweetalert2.all.min.js"></script>
<script src="assets/plugins/sweetalert/sweetalerts.min.js"></script>

<script src="assets/js/script.js"></script>
</body>
</html>